/*
 * @Company: hugeInfo
 * @Author: lwh
 * @Date: 2022-09-13 16:01:52
 * @LastEditTime: 2023-03-10 16:23:44
 * @LastEditors: lwh
 * @Version: 1.0.0
 * @Description:  多处登记提示
 */
import React, { useState, useEffect } from 'react';
import { Button, Checkbox, Form, Space, TextareaItem, Toast } from 'dingtalk-design-mobile';
import { LocationOutlined, HomeOutlined, ClockOutlined } from 'dd-icons';
import MyList from './../MyList';
import obj from '../../utils/selectOption';
import { searchTitle, dateFormat } from '../../utils/utility';
import MyModal from '../MyModal';

const MorePersonMsg = ({ data, params, visible, onClose, onSave }) => {
  console.log('data', data)
  console.log('params', params)
  return (
    <MyModal bodyClass="taskHandle-returnModal" visible={visible} onClose={onClose}>
      <div className="taskHandle-returnModal-title h7">多处登记提示</div>
      <div style={{ display: 'flex', flexDirection: 'column' }}>
        <div className="taskHandle-returnModal-contentPadding" >
          <span>本次登记：{searchTitle(params.personName, params.personName)}，证件号{searchTitle(params.idcard, params.idcard)}存在以下{data.length ? searchTitle(String(data.length), String(data.length)) : '多'}处登记信息 </span>
          <div style={{ height: '240px', marginTop: '8px', overflow: 'scroll' }}>
            {data.map((item, index) => {
              return <div style={{ flexDirection: 'column' }} className="livingTrack-card-main" key={index}>
                <div style={{ display: 'flex', marginBottom: '8px' }}>
                  <div style={{ height: '20px', display: 'flex', alignItems: 'center' }}>
                    <LocationOutlined />
                  </div>
                  <div className="livingTrack-card-main-flex">{item.houseaddress} | <span style={{ color: 'rgba(0, 176, 66, 1)' }}>{item.liveTypeDesc}</span></div>
                </div>
                <div style={{ display: 'flex', marginBottom: '8px' }}>
                  <div style={{ height: '20px', display: 'flex', alignItems: 'center' }}>
                    <HomeOutlined />
                  </div>
                  <div className="livingTrack-card-main-flex">{item.districtName} {item.subdistrictName} {item.communityName} | 网格员：{item.grider}</div>
                </div>
                <div style={{ display: 'flex', marginBottom: '8px' }}>
                  <div style={{ height: '20px', display: 'flex', alignItems: 'center' }}>
                    <ClockOutlined />
                  </div>
                  <div className="livingTrack-card-main-flex">登记时间：{dateFormat(item.editorTime)}</div>
                </div>
              </div>
            })}
          </div>
        </div>
        <div style={{ flex: '1', background: '#fff' }} className="myModal-action">
          <div onClick={onClose} className="myModal-action-item1">
            暂不登记
          </div>
          <div onClick={() => onSave(params)} className="myModal-action-item2">
            继续登记
          </div>
        </div>
      </div>
    </MyModal>
  );
};

export default MorePersonMsg;
